Bug 122489 - [NEW PORT] x11/terminator: Multiple GNOME terminals in one window
[NEW PORT] x11/terminator: Multiple GNOME terminals in one window
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-06 15:10 UTC by Thomas Hurst
Modified: 2008-04-30 09:30 UTC (History)
0 users

See Also:


Attachments
terminator-0.8.1.shar (6.59 KB, text/plain)
2008-04-06 15:10 UTC, Thomas Hurst
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Hurst 2008-04-06 15:10:01 UTC
Terminator is a Python terminal program, using the same widget as
gnome-terminal to provide a tiled set of terminals in as little
space as possible.

WWW:	http://www.tenshu.net/terminator/

Generated with FreeBSD Port Tools 0.77

The patches enable WITHOUT_NLS support, and avoid building .mo files
during install so !root build, root install, !root clean works.
Comment 1 Thomas Hurst 2008-04-09 07:56:39 UTC
Update patch-terminator so the URL matching regexps work.

I have commit access upstream now, so these patches should all disappear
next release (which should also make a lot of the gnome deps optional).

--- files/patch-terminator.orig	2008-04-09 07:52:45.000000000 +0100
+++ files/patch-terminator	2008-04-09 07:45:52.000000000 +0100
@@ -1,5 +1,5 @@
 --- terminator.orig	2008-02-20 00:05:58.000000000 +0000
-+++ terminator	2008-04-06 14:19:29.000000000 +0100
++++ terminator	2008-04-09 07:44:43.000000000 +0100
 @@ -21,8 +21,12 @@
  import os, sys, string, time, math
  from optparse import OptionParser
@@ -15,3 +15,20 @@
  
  # import unix-lib
  import pwd
+@@ -165,12 +169,12 @@
+     self._vte.add_events (gtk.gdk.ENTER_NOTIFY_MASK)
+     self._vte.connect ("enter_notify_event", self.on_vte_notify_enter)
+ 
+-    self.matches['full_uri'] = self._vte.match_add ('''\<(news:|telnet:|nntp:|file:/|https?:|ftps?:|webcal:)//([-A-Za-z0-9]+(:[-A-Za-z0-9,?;.:/!%$^*&~"#']+)?@)?[-A-Za-z0-9.]+(:[0-9]+)?(/[-A-Za-z0-9_$.+!*(),;:@&=?/~#%]*[^]'.}>) \t\r\n,\"])?\>/?''')
+-    self.matches['addr_only'] = self._vte.match_add ('''\<(www|ftp)[-A-Za-z0-9]*\.[-A-Za-z0-9.]+(:[0-9]+)?(/[-A-Za-z0-9_$.+!*(),;:@&=?/~#%]*[^]'.}>) \t\r\n,\"])?\>/?''')
++    self.matches['full_uri'] = self._vte.match_add ('''[[:<:]](news:|telnet:|nntp:|file:/|https?:|ftps?:|webcal:)//([-A-Za-z0-9]+(:[-A-Za-z0-9,?;.:/!%$^*&~"#']+)?@)?[-A-Za-z0-9.]+(:[0-9]+)?(/[-A-Za-z0-9_$.+!*(),;:@&=?/~#%]*[^]'.}>) \t\r\n,\"])?[[:>:]]/?''')
++    self.matches['addr_only'] = self._vte.match_add ('''[[:<:]](www|ftp)[-A-Za-z0-9]*\.[-A-Za-z0-9.]+(:[0-9]+)?(/[-A-Za-z0-9_$.+!*(),;:@&=?/~#%]*[^]'.}>) \t\r\n,\"])?[[:>:]]/?''')
+ 
+-    self.matches['email'] = self._vte.match_add ('''\<(mailto:)?[a-z0-9][a-z0-9.-]*@[a-z0-9][a-z0-9-]*(\.[a-z0-9][a-z0-9-]*)+\>''')
++    self.matches['email'] = self._vte.match_add ('''[[:<:]](mailto:)?[a-z0-9][a-z0-9.-]*@[a-z0-9][a-z0-9-]*(\.[a-z0-9][a-z0-9-]*)+[[:>:]]''')
+ 
+-    self.matches['nntp'] = self._vte.match_add ('''\<news:[-A-Z\^_a-z{|}~!"#$%&'()*+,./0-9;:=?`]+@[-A-Za-z0-9.]+(:[0-9]+)?\>''')
++    self.matches['nntp'] = self._vte.match_add ('''[[:<:]]news:[-A-Z\^_a-z{|}~!"#$%&'()*+,./0-9;:=?`]+@[-A-Za-z0-9.]+(:[0-9]+)?[[:>:]]''')
+ 
+     self.spawn_child ()
+ 


-- 
Thomas 'Freaky' Hurst
    http://hur.st/
Comment 2 dfilter freebsd_committer 2008-04-30 09:22:04 UTC
miwi        2008-04-30 08:22:00 UTC

  FreeBSD ports repository

  Modified files:
    x11                  Makefile 
  Added files:
    x11/terminator       Makefile distinfo pkg-descr pkg-plist 
    x11/terminator/files patch-setup.py patch-terminator 
  Log:
  Terminator is a Python terminal program, using the same widget as
  gnome-terminal to provide a tiled set of terminals in as little
  space as possible.
  
  WWW:    http://www.tenshu.net/terminator/
  
  PR:             ports/122489
  Submitted by:   Thomas Hurst <tom at hur.st>
  
  Revision  Changes    Path
  1.680     +1 -0      ports/x11/Makefile
  1.1       +38 -0     ports/x11/terminator/Makefile (new)
  1.1       +3 -0      ports/x11/terminator/distinfo (new)
  1.1       +77 -0     ports/x11/terminator/files/patch-setup.py (new)
  1.1       +17 -0     ports/x11/terminator/files/patch-terminator (new)
  1.1       +5 -0      ports/x11/terminator/pkg-descr (new)
  1.1       +18 -0     ports/x11/terminator/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2008-04-30 09:22:37 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!